Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iSpiceData

    java.lang.Object
      |
      +--s2iSpiceData

public class s2iSpiceData
extends java.lang.Object

Rather than parsing the SPICE file again and again while looking for data, this class reads in the SPICE file once and stores all the data in various fields which can be retrieved later through the methods provided. One-time reading of SPICE file has an exception for Include files, Sub- ckts, and Sub-ckt definitions which have already been implemented in s2iSpiceReader.

Field Summary
`private static int` | `ALL_BUT_1`
`(package private) java.util.Hashtable` | `currSrcElems`
`private java.lang.String` | `fileNameWPath`
`private int` | `fileSize`
`private int` | `nChar`
`private int` | `nLine`
`(package private) java.util.Hashtable` | `nodes`
`private static int` | `NONE`
`private int` | `nSpiceLine`
`private java.util.Date` | `readEndDate`
`private java.util.Date` | `readStartDate`
`(package private) java.util.Hashtable` | `resistorElems`
`(package private) java.util.Hashtable` | `subCktElems`
`private static int` | `TWO_NODES`
`(package private) java.util.Hashtable` | `voltSrcElems`
`(package private) java.util.Hashtable` | `XSubCkts`

Constructor Summary
`s2iSpiceData()`
`s2iSpiceData(java.lang.String fileNameWPath)`

Method Summary
`void` | `addCurrElem(java.lang.String elem)`
`void` | `addNode(java.lang.String elem)`
`void` | `addResElem(java.lang.String elem)`
`void` | `addSubCktElem(java.lang.String elem)`
`void` | `addSubCktInstantiated(java.lang.String elem)`
`void` | `addVoltElem(java.lang.String elem)`
`void` | `fillData()`
`void` | `fillData(java.lang.String fileNameWPath)`
`java.util.Enumeration` | `getCurrElem()`
`java.util.Enumeration` | `getNode()`
`java.util.Enumeration` | `getResElem()`
`java.util.Enumeration` | `getSubCktElem()`
`java.util.Enumeration` | `getSubCktInstantiated()`
`java.lang.String` | `getUniqueNodeName()`
`java.lang.String` | `getUniqueResElemName()`
`java.lang.String` | `getUniqueVoltElemName()`
`java.util.Enumeration` | `getVoltElem()`
`boolean` | `isCurrElem(java.lang.String elem)`
`boolean` | `isNode(java.lang.String elem)`
`boolean` | `isResElem(java.lang.String elem)`
`boolean` | `isSubCktElem(java.lang.String elem)`
`boolean` | `isSubCktInstantiated(java.lang.String elem)`
`boolean` | `isVoltElem(java.lang.String elem)`
`static void` | `main(java.lang.String[] args)` This is the main() function that is primarily for sanity checking *

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### fileNameWPath

    private java.lang.String fileNameWPath

### readStartDate

    private java.util.Date readStartDate

### readEndDate

    private java.util.Date readEndDate

### fileSize

    private int fileSize

### nLine

    private int nLine

### nSpiceLine

    private int nSpiceLine

### nChar

    private int nChar

### voltSrcElems

    java.util.Hashtable voltSrcElems

### currSrcElems

    java.util.Hashtable currSrcElems

### resistorElems

    java.util.Hashtable resistorElems

### subCktElems

    java.util.Hashtable subCktElems

### XSubCkts

    java.util.Hashtable XSubCkts

### nodes

    java.util.Hashtable nodes

### NONE

    private static final int NONE

### TWO_NODES

    private static final int TWO_NODES

### ALL_BUT_1

    private static final int ALL_BUT_1

Constructor Detail

### s2iSpiceData

    public s2iSpiceData()

### s2iSpiceData

    public s2iSpiceData(java.lang.String fileNameWPath)

Method Detail

### fillData

    public void fillData(java.lang.String fileNameWPath)
                  throws java.io.FileNotFoundException,
                         java.io.IOException

### fillData

    public void fillData()
                  throws java.io.FileNotFoundException,
                         java.io.IOException

### isVoltElem

    public boolean isVoltElem(java.lang.String elem)

### isCurrElem

    public boolean isCurrElem(java.lang.String elem)

### isResElem

    public boolean isResElem(java.lang.String elem)

### isSubCktElem

    public boolean isSubCktElem(java.lang.String elem)

### isSubCktInstantiated

    public boolean isSubCktInstantiated(java.lang.String elem)

### isNode

    public boolean isNode(java.lang.String elem)

### getVoltElem

    public java.util.Enumeration getVoltElem()

### getCurrElem

    public java.util.Enumeration getCurrElem()

### getResElem

    public java.util.Enumeration getResElem()

### getSubCktElem

    public java.util.Enumeration getSubCktElem()

### getSubCktInstantiated

    public java.util.Enumeration getSubCktInstantiated()

### getNode

    public java.util.Enumeration getNode()

### addVoltElem

    public void addVoltElem(java.lang.String elem)

### addCurrElem

    public void addCurrElem(java.lang.String elem)

### addResElem

    public void addResElem(java.lang.String elem)

### addSubCktElem

    public void addSubCktElem(java.lang.String elem)

### addSubCktInstantiated

    public void addSubCktInstantiated(java.lang.String elem)

### addNode

    public void addNode(java.lang.String elem)

### getUniqueNodeName

    public java.lang.String getUniqueNodeName()

### getUniqueResElemName

    public java.lang.String getUniqueResElemName()

### getUniqueVoltElemName

    public java.lang.String getUniqueVoltElemName()

### main

    public static void main(java.lang.String[] args)

  This is the main() function that is primarily for sanity checking *

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD